- Home
- API Enriched
- Sites
- config
- Validate AWS VPC Site Config.
Validate AWS VPC Site Config.
POST
/api/config/namespaces/{namespace}/aws_vpc_site/{name}/validate_config
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/aws_vpc_site/example/validate_config';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"name":"example","namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/aws_vpc_site/example/validate_config \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "namespace": "example" }'Validate AWS VPC Site Config.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace Namespace for the object to be configured.
name
required
string
Name Name of the object to be configured.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Request to validate AWS VPC site configuration
Request to validate AWS VPC site configuration.
object
name
Name
Name of the object to be configured.
string
namespace
Namespace
Namespace for the object to be configured.
string
Examplegenerated
{ "name": "example", "namespace": "example"}Responses
Section titled “Responses”A successful response.
Media typeapplication/json
Response to validate AWS VPC site configuration
object
Examplegenerated
{}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example